Create Region Storage Policy
Creates a new Region Storage Policy in Provider Management
Show optional properties
{
"name": "string",
"region": {}
}
{
"id": "string",
"name": "string",
"kubernetesCompliantName": "string",
"description": "string",
"region": {
"name": "string",
"id": "string"
},
"storageConsumedMiB": 0,
"storageCapacityMiB": 0,
"status": "string"
}
Unique URN Id for the policy.
Name for the policy.
Kubernetes compliant name for the policy. It must follow RFC 1123 Label Names to conform with Kubernetes standards.
Description of the policy.
Entity reference used to describe VCD entities
Consumed storage in mebibytes for this policy
Storage capacity in mebibytes for this policy
The creation status of the region storage policy. Can be [NOT_READY, READY]
The request have been accepted and the task to monitor the request is in the Location header.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","region":"object"}' https://{api_host}/cloudapi/v1/regionStoragePolicies